package com.yonge.cooleshow.admin.controller;

import com.microsvc.toolkit.common.response.template.R;
import com.yonge.cooleshow.auth.api.client.SysUserFeignService;
import com.yonge.cooleshow.auth.api.entity.SysUser;
import com.yonge.cooleshow.biz.dal.entity.FileImportInfo;
import com.yonge.cooleshow.biz.dal.service.ExcelAnalyseCoreService;
import com.yonge.cooleshow.biz.dal.wrapper.FileImportInfoWrapper;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import static com.yonge.cooleshow.common.entity.HttpResponseResult.failed;

@Slf4j
@Validated
@RestController
@RequestMapping("${app-config.url.admin:}/fileImportInfo")
@Api(tags = "文件数据导入")
public class OpenFileImportInfoController {

    @Autowired
    private ExcelAnalyseCoreService excelAnalyseCoreService;

    @Autowired
    private SysUserFeignService sysUserFeignService;

    @ApiOperation(value = "新增", notes = "文件数据导入- 传入 FileImportInfoVo.FileImportInfo")
	@PostMapping("/save")
	public HttpResponseResult<FileImportInfo> add(@Validated @RequestBody  FileImportInfoWrapper.FileImport info) {
        SysUser user = sysUserFeignService.queryUserInfo();
        if (user == null || user.getId() == null) {
            return failed(HttpStatus.FORBIDDEN, "请登录");
        }
        // 新增数据
        FileImportInfoWrapper.FileImportInfo wrapper = FileImportInfoWrapper.FileImportInfo.from(info.jsonString());
        wrapper.setSysAccId(user.getId());

        // 读取数据
        return HttpResponseResult.succeed(excelAnalyseCoreService.analyseReadExcelData(wrapper));
	}

}
