package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 学生课程作业
 */
@TableName("student_course_homework")
@Data
@ApiModel(value = "StudentCourseHomework对象", description = "学生课程作业")
public class StudentCourseHomework implements Serializable {
	private static final long serialVersionUID = 1L;
    @ApiModelProperty("主键; ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty("作业编号; ")
	@TableField(value = "course_homework_id_")
    private Long courseHomeworkId;
    @ApiModelProperty("课程组类型PRACTICE、LIVE; ")
	@TableField(value = "course_group_type_")
    private String courseGroupType;
    @ApiModelProperty("课程组编号 ")
	@TableField(value = "course_group_id_")
    private Long courseGroupId;
    @ApiModelProperty("课程编号 ")
	@TableField(value = "course_schedule_id_")
    private Long courseScheduleId;
    @ApiModelProperty("学员编号; ")
	@TableField(value = "student_id_")
    private Long studentId;
    @ApiModelProperty("学员提交的作品附件 ")
	@TableField(value = "attachments_")
    private String attachments;
    @ApiModelProperty("老师的作业点评 ")
	@TableField(value = "teacher_replied_")
    private String teacherReplied;
    @ApiModelProperty("作业提交时间 ")
	@TableField(value = "submit_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date submitTime;
    @ApiModelProperty("创建时间; ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    @ApiModelProperty("修改时间; ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;
}