package com.yonge.cooleshow.biz.dal.service;

import com.yonge.cooleshow.biz.dal.entity.Student;
import com.yonge.cooleshow.biz.dal.entity.TenantAccountRecord;
import com.yonge.cooleshow.biz.dal.entity.TenantAlbum;
import com.yonge.cooleshow.biz.dal.entity.TenantGroup;
import com.yonge.cooleshow.biz.dal.execl.entity.EntitlementsImport;
import com.yonge.cooleshow.biz.dal.wrapper.StudentWrapper;
import com.yonge.cooleshow.biz.dal.wrapper.TenantAlbumWrapper;

import java.util.List;
import java.util.Map;

/**
 * Created by Eric.Shang on 2023/4/25.
 */
public interface EasyExcelService {


    /**
     * 机构收入记录
     *
     * @param ids
     * @return
     */
    List<TenantAccountRecord> getRecordById(List<String> ids);

    //获取声部map

    Map<String,Long> getSubjectMap();

    //获取机构map
    Map<String,Long> getTenantMap();

    Map<String, StudentWrapper.SmallStudent> getStudentMap(List<String> phoneList);

    Map<Long, List<TenantAlbumWrapper.SmallTenantAlbum>> getTenantAlbumMap(List<Long> tenantIds);

    void importEntitlements(List<EntitlementsImport> entitlementsImports,Long createId);

    //获取小组map
    Map<String,List<TenantGroup>> getTenantGroupMap();

    //根据手机号获取已存在的老师手机号
    List<String> getPhones(List<String> phones, String userType);

    //根据身份证号获取已存在的老师身份证号
    List<String> getIdCardNos(List<String> idCardNos, String userType);
}
