package com.yonge.cooleshow.biz.dal.wrapper;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yonge.cooleshow.biz.dal.entity.StudentCourseHomework;
import com.yonge.cooleshow.biz.dal.entity.SysUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.List;
import java.util.regex.Pattern;

public class HomeworkWrapper {

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel("课程组作业")
    public static class GroupHomework implements Serializable {
        @ApiModelProperty("作业编号")
        private Long homeworkId;

        @ApiModelProperty("课程编号")
        private Long courseId;

        @ApiModelProperty("课次")
        private Integer classNum;

        @ApiModelProperty("作业内容")
        private String content;

        @ApiModelProperty("总人数")
        private Integer studentNum;

        @ApiModelProperty("提交人数")
        private Integer completedNum;

        @ApiModelProperty("点评数")
        private Integer repliedNum;
    }

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel("课程组作业")
    public static class GroupHomeworkSearch implements Serializable {

        @ApiModelProperty("作业内容/课程编号")
        private String search;

        @ApiModelProperty("课程组编号")
        private Long courseGroupId;
    }

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel("学员作业列表")
    public static class StudentCourseHomeworkDto extends StudentCourseHomework {

        @ApiModelProperty("学员姓名")
        private String studentName;
    }
}
